Mono.Data.Sqlite 4.0.0.0 System.Data.Common.DbConnection System.ICloneable SQLite implentation of DbConnection. The ConnectionString property of the SqliteConnection class can contain the following parameter(s), delimited with a semi-colon:
Parameter
Values
Required
Default
Data Source {filename} Y Version 3 N 3 UseUTF16Encoding True
False N False DateTimeFormat Ticks - Use DateTime.Ticks
ISO8601 - Use ISO8601 DateTime format N ISO8601 BinaryGUID True - Store GUID columns in binary form
False - Store GUID columns as text N True Cache Size {size in bytes} N 2000 Synchronous Normal - Normal file flushing behavior
Full - Full flushing after all writes
Off - Underlying OS flushes I/O's N Normal Page Size {size in bytes} N 1024 Password {password} N Enlist Y - Automatically enlist in distributed transactions
N - No automatic enlistment N Y Pooling True - Use connection pooling
False - Do not use connection pooling N False FailIfMissing True - Don't create the database if it does not exist, throw an error instead
False - Automatically create the database if it does not exist N False Max Page Count {size in pages} - Limits the maximum number of pages (limits the size) of the database N 0 Legacy Format True - Use the more compatible legacy 3.x database format
False - Use the newer 3.3x database format which compresses numbers more effectively N False Default Timeout {time in seconds}
The default command timeout N 30 Journal Mode Delete - Delete the journal file after a commit
Persist - Zero out and leave the journal file on disk after a commit
Off - Disable the rollback journal entirely N Delete Read Only True - Open the database for read only access
False - Open the database for normal read/write access N False Max Pool Size The maximum number of connections for the given connection string that can be in the connection pool N 100 Default IsolationLevel The default transaciton isolation level N Serializable FileProtectionComplete iOS only - Sets the SQLite file protection level to Complete, requires the "DataProtectionClass" entitlement in your application. The data will only be available when the device is unlocked, and the safety is only as gooas the device passcode. N False FileProtectionCompleteUnlessOpen iOS only - Sets the SQLite file protection level to CompleteUNlessOpen, requries the "DataProtectionClass" entitlement in your application. You can access the data even if the device is locked and you can also create these files if the device is unlocked. N False FileProtectionCompleteUntilFirstUserAuthentication iOS only - Sets the SQLite file protection level to CompleteUnlessOpen, requries the "DataProtectionClass" entitlement in your application. N False FileProtectioNone iOS only - forces the file to not have any file protection. Useful if the containing directory has been flagged to be protected, this overrides the behavior. N False
- Constructor
  4.0.0.0
  Default constructor
  To be added.
  Constructs a new SqliteConnection object
- Constructor
  4.0.0.0
  Clones the settings and connection string from an existing connection. If the existing connection is already open, this function will open its own connection, enumerate any attached databases of the original connection, and automatically attach to them.
  To be added.
- Constructor
  4.0.0.0
  The connection string to use on the connection
  Initializes the connection with the specified connection string
  To be added.
- Method
  4.0.0.0
  System.Data.Common.DbTransaction `` Supported isolation levels are Unspecified, Serializable, and ReadCommitted Forwards to the local BeginTransaction() function To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteTransaction Creates a new SqliteTransaction if one isn't already active on the connection. Returns a SqliteTransaction object. To be added.
- Method
  4.0.0.0
  System.Obsolete("Use one of the standard BeginTransaction methods, this one will be removed soon")
  Mono.Data.Sqlite.SqliteTransaction `` When TRUE, SQLite defers obtaining a write lock until a write operation is requested. When FALSE, a writelock is obtained immediately. The default is false, but in a multi-threaded multi-writer environment, one may instead choose to lock the database immediately to avoid any possible writer deadlock. OBSOLETE. Creates a new SqliteTransaction if one isn't already active on the connection. Returns a SqliteTransaction object. To be added.
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteTransaction `` Supported isolation levels are Serializable, ReadCommitted and Unspecified. Creates a new SqliteTransaction if one isn't already active on the connection. Returns a SqliteTransaction object. Unspecified will use the default isolation level specified in the connection string. If no isolation level is specified in the connection string, Serializable is used. Serializable transactions are the default. In this mode, the engine gets an immediate lock on the database, and no other threads may begin a transaction. Other threads may read from the database, but not write. With a ReadCommitted isolation level, locks are deferred and elevated as needed. It is possible for multiple threads to start a transaction in ReadCommitted mode, but if a thread attempts to commit a transaction while another thread has a ReadCommitted lock, it may timeout or cause a deadlock on both threads until both threads' CommandTimeout's are reached.
- Method
  4.0.0.0
  System.Obsolete("Use one of the standard BeginTransaction methods, this one will be removed soon")
  Mono.Data.Sqlite.SqliteTransaction `` `` This parameter is ignored. When TRUE, SQLite defers obtaining a write lock until a write operation is requested. When FALSE, a writelock is obtained immediately. The default is TRUE, but in a multi-threaded multi-writer environment, one may instead choose to lock the database immediately to avoid any possible writer deadlock. OBSOLETE. Creates a new SqliteTransaction if one isn't already active on the connection. Returns a SqliteTransaction object. To be added.
- Method
  4.0.0.0
  System.Void `` Not implemented To be added.
- Method
  4.0.0.0
  System.Void `` The new password to assign to the database Change the password (or assign a password) to an open database. No readers or writers may be active for this process. The database must already be open and if it already was password protected, the existing password must already have been supplied.
- Method
  4.0.0.0
  System.Void `` The new password to assign to the database Change the password (or assign a password) to an open database. No readers or writers may be active for this process. The database must already be open and if it already was password protected, the existing password must already have been supplied.
- Method
  4.0.0.0
  System.Void Clears all connection pools. Any active connections will be discarded instead of sent to the pool when they are closed. To be added.
- Method
  4.0.0.0
  System.Void `` Clears the connection pool associated with the connection. Any other active connections using the same database file will be discarded instead of returned to the pool when they are closed. To be added.
- Method
  4.0.0.0
  System.Object Creates a clone of the connection. All attached databases and user-defined functions are cloned. If the existing connection is open, the cloned connection will also be opened. To be added.
- Method
  4.0.0.0
  System.Void When the database connection is closed, all commands linked to this connection are automatically reset. To be added.
- Event
  4.0.0.0
  Mono.Data.Sqlite.SQLiteCommitHandler This event is raised whenever SQLite is committing a transaction. Return non-zero to trigger a rollback To be added.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue("")
  System.ComponentModel.Editor("SQLite.Designer.SqliteConnectionStringEditor, SQLite.Designer, Version=1.0.36.0, Culture=neutral, PublicKeyToken=db937bc2d44ff139", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
  System.String The connection string containing the parameters for the connection To be added.
  Parameter
  Values
  Required
  Default
  Data Source {filename} Y Version 3 N 3 UseUTF16Encoding True
  False N False DateTimeFormat Ticks - Use DateTime.Ticks
  ISO8601 - Use ISO8601 DateTime format
  JulianDay - Use JulianDay format N ISO8601 BinaryGUID Yes/On/1 - Store GUID columns in binary form
  No/Off/0 - Store GUID columns as text N On Cache Size {size in bytes} N 2000 Synchronous Normal - Normal file flushing behavior
  Full - Full flushing after all writes
  Off - Underlying OS flushes I/O's N Normal Page Size {size in bytes} N 1024 Password {password} N Enlist Y - Automatically enlist in distributed transactions
  N - No automatic enlistment N Y Pooling True - Use connection pooling
  False - Do not use connection pooling N False FailIfMissing True - Don't create the database if it does not exist, throw an error instead
  False - Automatically create the database if it does not exist N False Max Page Count {size in pages} - Limits the maximum number of pages (limits the size) of the database N 0 Legacy Format True - Use the more compatible legacy 3.x database format
  False - Use the newer 3.3x database format which compresses numbers more effectively N False Default Timeout {time in seconds}
  The default command timeout N 30 Journal Mode Delete - Delete the journal file after a commit
  Persist - Zero out and leave the journal file on disk after a commit
  Off - Disable the rollback journal entirely N Delete Read Only True - Open the database for read only access
  False - Open the database for normal read/write access N False Max Pool Size The maximum number of connections for the given connection string that can be in the connection pool N 100 Default IsolationLevel The default transaciton isolation level N Serializable
- Method
  4.0.0.0
  Mono.Data.Sqlite.SqliteCommand Create a new SqliteCommand and associate it with this connection. Returns an instantiated SqliteCommand object already assigned to this connection. To be added.
- Method
  4.0.0.0
  System.Data.Common.DbCommand Forwards to the local CreateCommand() function To be added.
- Method
  4.0.0.0
  System.Void `` The file to create Creates a database file. This just creates a zero-byte file which SQLite will turn into a database when the file is opened properly. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.String Returns an empty string To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.String Returns the filename without extension or path To be added. To be added.
- Property
  4.0.0.0
  System.Data.Common.DbProviderFactory Returns a SQLiteProviderFactory object. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 Gets/sets the default command timeout for newly-created commands. This is especially useful for commands used internally such as inside a SqliteTransaction, where setting the timeout is not possible. This can also be set in the ConnectionString with "Default Timeout" To be added. To be added.
- Method
  4.0.0.0
  System.Void `` True if the connection is being explicitly closed. Disposes of the SqliteConnection, closing it if it is active. To be added.
- Method
  4.0.0.0
  System.Void `` The distributed transaction to enlist in Manual distributed transaction enlistment support To be added.
- Method
  4.0.0.0
  System.Data.DataTable Returns the MetaDataCollections schema A DataTable of the MetaDataCollections schema To be added. The following commands are used to extract schema information out of the database. Valid schema types are: MetaDataCollectionsDataSourceInformationCatalogsColumnsForeignKeysIndexesIndexColumnsTablesViewsViewColumns
- Method
  4.0.0.0
  System.Data.DataTable `` The schema collection to retrieve Returns schema information of the specified collection A DataTable of the specified collection To be added.
- Method
  4.0.0.0
  System.Data.DataTable `` `` The collection to retrieve The restrictions to impose Retrieves schema information using the specified constraint(s) for the specified collection A DataTable of the specified collection To be added.
- Method
  4.0.0.0
  System.Void Opens the connection using the parameters found in the ConnectionString To be added.
- Event
  4.0.0.0
  System.EventHandler This event is raised whenever SQLite is committing a transaction. Return non-zero to trigger a rollback To be added.
- Property
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.String Returns the version of the underlying SQLite database engine To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` The password for the database Sets the password for a password-protected database. A password-protected database is unusable for any operation until the password has been set. To be added.
- Method
  4.0.0.0
  System.Void `` The password for the database Sets the password for a password-protected database. A password-protected database is unusable for any operation until the password has been set. To be added.
- Property
  4.0.0.0
  System.String Returns the version of the underlying SQLite database engine To be added. To be added.
- Property
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Data.ConnectionState Returns the state of the connection. To be added. To be added.
- Event
  4.0.0.0
  System.Data.StateChangeEventHandler This event is raised whenever the database is opened or closed. To be added.
- Event
  4.0.0.0
  Mono.Data.Sqlite.SQLiteUpdateEventHandler This event is raised whenever SQLite makes an update/delete/insert into the database on this connection. It only applies to the given connection. To be added.